---
- debug:
    msg: 'Deleting all thin pools & lvs'

- name: Remove the logical volume.
  lvol:
    vg: '{{external.enclosure_1.pool}}'
    lv: 'thin-{{external.enclosure_1.pool}}'
    state: absent
    force: yes

- name: Remove old pool
  become: yes
  lvg:
    vg: '{{external.enclosure_1.pool}}'
    state: absent
    force: yes

    # thinpool: '{{pool1_lv}}'
